package org.dromara.settlement.domain;

import java.util.Date;

public class SysUnitConfig extends SysUnitConfigKey {
    private Integer confUnitType;

    private String confValue;

    private String confGroup;

    private Integer confGroupSort;

    private String confGroupName;

    private Integer confSort;

    private String confRemark;

    private Integer confIsEditor;

    private Date updateTime;

    private String updateBy;

    private String className;

    private String classAlias;

    private Integer isEnable;

    private Integer classSort;

    public Integer getConfUnitType() {
        return confUnitType;
    }

    public void setConfUnitType(Integer confUnitType) {
        this.confUnitType = confUnitType;
    }

    public String getConfValue() {
        return confValue;
    }

    public void setConfValue(String confValue) {
        this.confValue = confValue;
    }

    public String getConfGroup() {
        return confGroup;
    }

    public void setConfGroup(String confGroup) {
        this.confGroup = confGroup;
    }

    public Integer getConfGroupSort() {
        return confGroupSort;
    }

    public void setConfGroupSort(Integer confGroupSort) {
        this.confGroupSort = confGroupSort;
    }

    public String getConfGroupName() {
        return confGroupName;
    }

    public void setConfGroupName(String confGroupName) {
        this.confGroupName = confGroupName;
    }

    public Integer getConfSort() {
        return confSort;
    }

    public void setConfSort(Integer confSort) {
        this.confSort = confSort;
    }

    public String getConfRemark() {
        return confRemark;
    }

    public void setConfRemark(String confRemark) {
        this.confRemark = confRemark;
    }

    public Integer getConfIsEditor() {
        return confIsEditor;
    }

    public void setConfIsEditor(Integer confIsEditor) {
        this.confIsEditor = confIsEditor;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getClassAlias() {
        return classAlias;
    }

    public void setClassAlias(String classAlias) {
        this.classAlias = classAlias;
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public Integer getClassSort() {
        return classSort;
    }

    public void setClassSort(Integer classSort) {
        this.classSort = classSort;
    }
}
